/************************************************************
 **
 ** alias.h : alias API declarations
 **
 ** Copyright (c) 2009, Kyle York
 ** All rights reserved
 **
 ************************************************************/
#ifndef alias_h__
#define alias_h__

#include "variable.h"
#include "../libutils/array.h"

typedef struct alias_ *alias_t;
ARRAY_DEF(alias_array, alias_t)
#define ALIAS_NONE ((alias_t ) 0)
#define ALIAS_ARRAY_NONE ((alias_array_t *) 0)

alias_t alias_alloc(const char *id, variable_t var);
void    alias_free(alias_t alias);

const char *alias_id_get(const alias_t alias);
variable_t  alias_var_get(const alias_t alias);

#endif /* alias_h__ */

